## gsl 1.2-19

=== DESCRIPTION ===
Package: gsl
Title: wrapper for the Gnu Scientific Library
Version: 1.2-19
Author: Robin K. S. Hankin
Description: 
 An R wrapper for special functions of the Gnu Scientific Library.
 (http://www.gnu.org/software/gsl/) Error forms of GSL functions (_e
 versions) are used if available.  The function naming scheme directly
 copies the GSL manual except that leading gsl_sf_ and, if present,
 the trailing _e is stripped: thus gsl_sf_Airy_Ai_e goes to R function
 airy_Ai(); however, some functions (such as gsl_sf_sin()) retain the
 prefix to avoid conflicts: a full list is given in help(Misc).
 Function arguments have the same names as in the GSL reference
 manual.  The package is organized into units corresponding to GSL
 header files; the .c, .R, and .Rd filenames match the header
 filenames, except that the .Rd files are capitalized.  Functions
 appear in all files in the same order as the GSL reference manual,
 which precludes the use of the tidying method given in section 3.1 of
 R-exts.  Documentation is limited to: (a), a pointer to the GSL
 reference book, which would in any case dominate any docs here; and
 (b), re-productions of some tables and figures in Abramowitz and
 Stegun.
Maintainer: Robin Hankin <r.hankin@soc.soton.ac.uk>
License: GPL
Packaged: Wed Nov 17 16:08:10 2004; rksh

## gsl 0.3f-1.1

=== debian/changelog ===
gsl (0.3f-1.1) frozen unstable; urgency=low

  * Non-maintainer upload.
  * Set Architecture: to any.
  * Fix some errors in debian/rules that made building impossible.
  * Removed spurious file debian/tmp.deb.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 13 Jan 1999 13:47:57 +0100

gsl (0.3f-1) unstable; urgency=low

  * Initial Release.  
  * Don't include libgsl.so.0 because it doesn't build correctly
  * Remove the test-switch program

 -- Michael J. Booth <booth@debian.org>  Sun,  2 Aug 1998 22:56:51 -0400

Local variables:
mode: debian-changelog
add-log-mailing-address: "booth@debian.org"
End:

=== debian/control ===
Source: gsl
Section: devel
Priority: optional
Maintainer: Michael J. Booth <booth@debian.org>
Standards-Version: 2.4.1

Package: gsl-dev
Architecture: any
Depends: gsl
Description: The GNU Scientific Library (GSL), development files
 The GNU Scientific Library (GSL) is a collection of routines for
 numerical analysis.  The routines are written from scratch by the GSL
 team in C, and are meant to present a modern API for C programmers, while
 allowing wrappers to be written for very high level languages.
 Although GSL is still officially in early alpha (and hence interfaces
 may change) it has many stable pieces, including a random number
 suite, an FFT package, simulated annealing and root finding.  Work
 is under way on numerical integration, Monte Carlo integration and
 special functions.

Package: gsl
Architecture: any
Depends: ${shlibs:Depends}
Description: The GNU Scientific Library (GSL)
 The GNU Scientific Library (GSL) is a collection of routines for
 numerical analysis.  The routines are written from scratch by the GSL
 team in C, and are meant to present a modern API for C programmers, while
 allowing wrappers to be written for very high level languages.
 Although GSL is still officially in early alpha (and hence interfaces
 may change) it has many stable pieces, including a random number
 suite, an FFT package, simulated annealing and root finding.  Work
 is under way on numerical integration, Monte Carlo integration and
 special functions.

=== debian/rules ===
#!/usr/bin/make -f 
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=gsl

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

build:
	$(checkdir)
	-mkdir shared
	./configure --prefix=/usr --includedir=/usr/include/gsl
	$(MAKE) CFLAGS="-O2 -fPIC -pipe"
	cd shared && ar -x ../libgsl.a && \
	gcc -shared -Wl,-soname,lib$(package).so.$(version_major) -o lib$(package).so.$(version) `ls .o`
	#
	# Build the static library (it does not need Position Independent Code,
	# which reserves one register; thus, without -fPIC we get more efficient
	# code).
	#
	$(MAKE) clean && $(MAKE) CFLAGS="-O2 -pipe" LDFLAGS="-s"
	touch build

clean:
	$(checkdir)
	-rm -rf static shared
	-rm -f build
	-make distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS` debian/files* core
	-rm -f debian/*substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp `find debian/* -type d`
	install -d debian/tmp        
	install -d debian/tmp/bin/DEBIAN debian/tmp/dev/DEBIAN
	install -d debian/tmp/dev/usr/doc
	ln -s $(package) debian/tmp/dev/usr/doc/$(package)-dev
#	cp debian/{postinst,prerm} debian/tmp/bin/DEBIAN/.
#	chmod +x debian/tmp/bin/DEBIAN/{postinst,prerm}
	#
	cd debian/tmp/bin && install -d `cat ../../dirs`
	#
	make install prefix=`pwd`/debian/tmp/usr includedir=`pwd`/debian/tmp/usr/include/gsl
	# now take out some extra stuff
	rm -f `pwd`/debian/tmp/usr/lib/*.a
	cd `pwd`/debian/tmp/usr/bin && rm -f test-switch
	install -m644 lib$(package).a debian/tmp/bin/usr/lib/
	# not working
#	install -m644 shared/lib$(package).so.$(version) debian/tmp/bin/usr/lib
	#
#	debstd -m ChangeLog NEWS README TODO
	debstd -m -u ChangeLog NEWS README TODO
	# now move things around to split out gsl-dev and gsl
	install -d debian/tmp/bin/usr/doc
	mv debian/tmp/usr/doc/$(package) debian/tmp/bin/usr/doc
	mv debian/tmp/usr/bin debian/tmp/bin/usr
	install -d debian/tmp/dev/usr/lib debian/tmp/dev/usr/info
	mv debian/tmp/usr/info/gsl* debian/tmp/dev/usr/info/
	mv debian/tmp/usr/include debian/tmp/dev/usr/.
	if [ -d debian/tmp/usr/man/man1 ]; then \
		mv debian/tmp/usr/man/man1 debian/tmp/bin/usr/man/.; \
	fi
	mv debian/tmp/bin/usr/lib/*.a debian/tmp/dev/usr/lib/.
	#mv debian/tmp/bin/usr/lib/*.so debian/tmp/dev/usr/lib/.
	rm -f debian/tmp/bin/usr/lib/*.so
	#mv debian/tmp/bin/usr/info/gsl* debian/tmp/dev/usr/info/.
	# We can strip shared libraries
#	strip --strip-unneeded debian/tmp/bin/usr/lib/libgsl*.so*
	#
	dpkg-gencontrol -pgsl-dev -Pdebian/tmp/dev
	dpkg-gencontrol -pgsl -Pdebian/tmp/bin
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp/bin/
	chmod -R go=rX debian/tmp/dev/
	dpkg --build debian/tmp/dev ..
	dpkg --build debian/tmp/bin ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## gsl 1.2-20

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Package: gsl
+Version: 1.2-20
+Date: 18-11-2004
 Title: wrapper for the Gnu Scientific Library
-Version: 1.2-19
 Author: Robin K. S. Hankin
+SystemRequirements: Gnu Scientific Library version 1.5
 Description: 
  An R wrapper for special functions of the Gnu Scientific Library.
- (http://www.gnu.org/software/gsl/) Error forms of GSL functions (_e
+ (http://www.gnu.org/software/gsl/).  Error forms of GSL functions (_e
  versions) are used if available.  The function naming scheme directly
  copies the GSL manual except that leading gsl_sf_ and, if present,
  the trailing _e is stripped: thus gsl_sf_Airy_Ai_e goes to R function
@@ -19,7 +21,7 @@
  R-exts.  Documentation is limited to: (a), a pointer to the GSL
  reference book, which would in any case dominate any docs here; and
  (b), re-productions of some tables and figures in Abramowitz and
- Stegun.
+ Stegun (June 1964).
 Maintainer: Robin Hankin <r.hankin@soc.soton.ac.uk>
 License: GPL
-Packaged: Wed Nov 17 16:08:10 2004; rksh
+Packaged: Thu Nov 18 09:06:35 2004; rksh

## gsl 1.2-21

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: gsl
-Version: 1.2-20
+Version: 1.2-21
 Date: 18-11-2004
 Title: wrapper for the Gnu Scientific Library
 Author: Robin K. S. Hankin
@@ -24,4 +24,4 @@
  Stegun (June 1964).
 Maintainer: Robin Hankin <r.hankin@soc.soton.ac.uk>
 License: GPL
-Packaged: Thu Nov 18 09:06:35 2004; rksh
+Packaged: Mon Nov 22 09:15:51 2004; rksh

## gsl 1.3-1

=== DESCRIPTION ===
Package: gsl
Version: 1.3-1
Date: 18-11-2004
Title: wrapper for the Gnu Scientific Library
Author: Robin K. S. Hankin
SystemRequirements: Gnu Scientific Library version 1.5
Description: 
 An R wrapper for special functions of the Gnu Scientific Library.
 (http://www.gnu.org/software/gsl/).  The function naming scheme
 directly copies the GSL manual except that leading gsl_sf_ and, if
 present, the trailing _e is stripped: thus gsl_sf_Airy_Ai_e goes to R
 function airy_Ai(); however, some functions (such as gsl_sf_sin())
 retain the prefix to avoid conflicts: a full list is given in
 help(Misc).  Function arguments have the same names as in the GSL
 reference manual.  The package is organized into units corresponding
 to GSL header files; the .c, .R, and .Rd filenames match the header
 filenames, except that the .Rd files are capitalized.  Functions
 appear in all files in the same order as the GSL reference manual,
 which precludes the use of the tidying method given in section 3.1 of
 R-exts.  Error forms of GSL functions (_e versions) are used if
 available.  Documentation is limited to: (a), a pointer to the GSL
 reference book, which would in any case dominate any docs here; and
 (b), re-productions of some tables and figures in Abramowitz and
 Stegun (June 1964).
Maintainer: Robin Hankin <r.hankin@soc.soton.ac.uk>
License: GPL
Packaged: Fri Dec 17 10:00:16 2004; rksh

## gsl 1.6-0

=== DESCRIPTION ===
Package: gsl
Version: 1.6-0
Date: 07-02-2005
Title: wrapper for the Gnu Scientific Library
Author: Robin K. S. Hankin; qrng functions by Duncan Murdoch
SystemRequirements: Gnu Scientific Library version 1.6
Description: 
 An R wrapper for the special functions and quasi random number
 generators of the Gnu Scientific Library
 (http://www.gnu.org/software/gsl/).  See ?Misc for details of 
 overall package organization.
Maintainer: Robin Hankin <r.hankin@soc.soton.ac.uk>
License: GPL
Packaged: Wed Feb  9 20:38:15 2005; rksh

## gsl 1.6-2

=== DESCRIPTION ===
Package: gsl
Version: 1.6-2
Date: 07-02-2005
Title: wrapper for the Gnu Scientific Library
Author: Robin K. S. Hankin; qrng functions by Duncan Murdoch
SystemRequirements: Gnu Scientific Library version >= 1.5
Description: 
 An R wrapper for the special functions and quasi random number
 generators of the Gnu Scientific Library
 (http://www.gnu.org/software/gsl/).  See ?Misc for details of 
 overall package organization.
Maintainer: Robin Hankin <r.hankin@soc.soton.ac.uk>
License: GPL
Packaged: Thu Feb 24 21:25:50 2005; rksh

## gsl 1.6-6

=== DESCRIPTION ===
Package: gsl
Version: 1.6-6
Date: 07-02-2005
Title: wrapper for the Gnu Scientific Library
Author: Robin K. S. Hankin; qrng functions by Duncan Murdoch
SystemRequirements: Gnu Scientific Library version >= 1.5
Description: 
 An R wrapper for the special functions and quasi random number
 generators of the Gnu Scientific Library
 (http://www.gnu.org/software/gsl/).  See ?Misc for details of 
 overall package organization.
Maintainer: Robin Hankin <r.hankin@noc.soton.ac.uk>
License: GPL
Packaged: Fri Apr  7 08:55:05 2006; rksh

## gsl 1.6-7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: gsl
-Version: 1.6-6
+Version: 1.6-7
 Date: 07-02-2005
 Title: wrapper for the Gnu Scientific Library
 Author: Robin K. S. Hankin; qrng functions by Duncan Murdoch
@@ -11,4 +11,4 @@
  overall package organization.
 Maintainer: Robin Hankin <r.hankin@noc.soton.ac.uk>
 License: GPL
-Packaged: Fri Apr  7 08:55:05 2006; rksh
+Packaged: Thu Apr 12 22:40:29 2007; rksh

## gsl 1.6-10

=== DESCRIPTION ===
Package: gsl
Version: 1.6-10
Date: 07-02-2005
Title: wrapper for the Gnu Scientific Library
Author: Robin K. S. Hankin; qrng functions by Duncan Murdoch
SystemRequirements: Gnu Scientific Library version >= 1.5
Description: 
 An R wrapper for the special functions and quasi random number
 generators of the Gnu Scientific Library
 (http://www.gnu.org/software/gsl/).  See ?Misc for details of 
 overall package organization.
Maintainer: Robin K. S. Hankin <r.hankin@noc.soton.ac.uk>
License: GPL
Packaged: Wed May  9 21:44:50 2007; rksh

## gsl 1.8-4

=== DESCRIPTION ===
Package: gsl
Version: 1.8-4
Date: 16-09-2007
Title: wrapper for the Gnu Scientific Library
Author: Robin K. S. Hankin; qrng functions by Duncan Murdoch and
 multimin by Andrew Clausen
SystemRequirements: Gnu Scientific Library version >= 1.5
Description: 
 An R wrapper for the special functions and quasi random number
 generators of the Gnu Scientific Library
 (http://www.gnu.org/software/gsl/).  See gsl-package.Rd for details of 
 overall package organization, and Misc.Rd for some functions that are
 widely used in the package.
Maintainer: Robin K. S. Hankin <r.hankin@noc.soton.ac.uk>
License: GPL
Packaged: Mon Sep 17 09:34:22 2007; rksh

## gsl 1.8-8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: gsl
-Version: 1.8-4
+Version: 1.8-8
 Date: 16-09-2007
 Title: wrapper for the Gnu Scientific Library
 Author: Robin K. S. Hankin; qrng functions by Duncan Murdoch and
@@ -13,4 +13,4 @@
  widely used in the package.
 Maintainer: Robin K. S. Hankin <r.hankin@noc.soton.ac.uk>
 License: GPL
-Packaged: Mon Sep 17 09:34:22 2007; rksh
+Packaged: Mon Oct 15 20:57:17 2007; rksh

## gsl 1.8-11

=== DESCRIPTION ===
Package: gsl
Version: 1.8-11
Date: 16-09-2007
Title: wrapper for the Gnu Scientific Library
Author: Robin K. S. Hankin; qrng functions by Duncan Murdoch and
 multimin by Andrew Clausen
SystemRequirements: Gnu Scientific Library version >= 1.8
Description: 
 An R wrapper for the special functions and quasi random number
 generators of the Gnu Scientific Library
 (http://www.gnu.org/software/gsl/).  See gsl-package.Rd for details of 
 overall package organization, and Misc.Rd for some functions that are
 widely used in the package.
Maintainer: Robin K. S. Hankin <rksh1@cam.ac.uk>
License: GPL-2
Packaged: Wed Aug 20 09:42:58 2008; rksh

## gsl 1.8-13

=== DESCRIPTION ===
Package: gsl
Version: 1.8-13
Date: 16-09-2007
Title: wrapper for the Gnu Scientific Library
Author: Robin K. S. Hankin; qrng functions by Duncan Murdoch and
        multimin by Andrew Clausen
SystemRequirements: Gnu Scientific Library version >= 1.8
Description: An R wrapper for the special functions and quasi random
        number generators of the Gnu Scientific Library
        (http://www.gnu.org/software/gsl/).  See gsl-package.Rd for
        details of overall package organization, and Misc.Rd for some
        functions that are widely used in the package.
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-2
Packaged: Tue Mar 17 22:58:33 2009; rksh
Repository: CRAN
Date/Publication: 2009-03-30 06:46:42

## gsl 1.8-14

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: gsl
-Version: 1.8-13
+Version: 1.8-14
 Date: 16-09-2007
 Title: wrapper for the Gnu Scientific Library
 Author: Robin K. S. Hankin; qrng functions by Duncan Murdoch and
@@ -12,6 +12,6 @@
         functions that are widely used in the package.
 Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
 License: GPL-2
-Packaged: Tue Mar 17 22:58:33 2009; rksh
+Packaged: Wed Apr 15 22:15:35 2009; rksh
 Repository: CRAN
-Date/Publication: 2009-03-30 06:46:42
+Date/Publication: 2009-05-05 07:28:53

## gsl 1.9-2

=== DESCRIPTION ===
Package: gsl
Version: 1.9-2
Date: 16-09-2007
Title: wrapper for the Gnu Scientific Library
Author: Robin K. S. Hankin; qrng functions by Duncan Murdoch and
        multimin by Andrew Clausen; spline functions by Jeffrey Racine
SystemRequirements: Gnu Scientific Library version >= 1.8
Description: An R wrapper for the special functions and quasi random
        number generators of the Gnu Scientific Library
        (http://www.gnu.org/software/gsl/).  See gsl-package.Rd for
        details of overall package organization, and Misc.Rd for some
        functions that are widely used in the package, and some tips on
        installation.
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-2
Packaged: 2010-03-29 21:06:33 UTC; rksh
Repository: CRAN
Date/Publication: 2010-04-02 17:08:12

## gsl 1.9-3

=== DESCRIPTION ===
Package: gsl
Version: 1.9-3
Date: 16-09-2007
Title: wrapper for the Gnu Scientific Library
Author: Robin K. S. Hankin; qrng functions by Duncan Murdoch and
        multimin by Andrew Clausen; spline functions by Jeffrey Racine
SystemRequirements: Gnu Scientific Library version >= 1.12
Description: An R wrapper for the special functions and quasi random
        number generators of the Gnu Scientific Library
        (http://www.gnu.org/software/gsl/).  See gsl-package.Rd for
        details of overall package organization, and Misc.Rd for some
        functions that are widely used in the package, and some tips on
        installation.
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-2
Packaged: 2010-04-06 14:46:08 UTC; rksh
Repository: CRAN
Date/Publication: 2010-04-06 17:12:57

## gsl 1.9-6

=== DESCRIPTION ===
Package: gsl
Version: 1.9-6
Depends: R (>= 2.10.0)
Date: 16-09-2007
Title: wrapper for the Gnu Scientific Library
Author: Robin K. S. Hankin; qrng functions by Duncan Murdoch and
        multimin by Andrew Clausen
SystemRequirements: Gnu Scientific Library version >= 1.12
Description: An R wrapper for the special functions and quasi random
        number generators of the Gnu Scientific Library
        (http://www.gnu.org/software/gsl/).  See gsl-package.Rd for
        details of overall package organization, and Misc.Rd for some
        functions that are widely used in the package, and some tips on
        installation.
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-2
Packaged: 2010-10-20 09:06:39 UTC; rksh
Repository: CRAN
Date/Publication: 2010-10-20 13:56:35

## gsl 1.9-8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: gsl
-Version: 1.9-6
+Version: 1.9-8
 Depends: R (>= 2.10.0)
 Date: 16-09-2007
 Title: wrapper for the Gnu Scientific Library
@@ -14,6 +14,6 @@
         installation.
 Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
 License: GPL-2
-Packaged: 2010-10-20 09:06:39 UTC; rksh
+Packaged: 2010-10-21 19:59:16 UTC; rksh
 Repository: CRAN
-Date/Publication: 2010-10-20 13:56:35
+Date/Publication: 2010-10-23 07:43:58

## gsl 1.9-9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: gsl
-Version: 1.9-8
+Version: 1.9-9
 Depends: R (>= 2.10.0)
 Date: 16-09-2007
 Title: wrapper for the Gnu Scientific Library
@@ -14,6 +14,6 @@
         installation.
 Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
 License: GPL-2
-Packaged: 2010-10-21 19:59:16 UTC; rksh
+Packaged: 2011-09-08 20:34:30 UTC; rksh
 Repository: CRAN
-Date/Publication: 2010-10-23 07:43:58
+Date/Publication: 2011-09-09 03:28:12

## gsl 1.9-10

=== DESCRIPTION ===
Package: gsl
Version: 1.9-10
Depends: R (>= 2.10.0)
Date: 16-09-2007
Title: wrapper for the Gnu Scientific Library
Author: Robin K. S. Hankin; qrng functions by Duncan Murdoch and
 multimin by Andrew Clausen
SystemRequirements: Gnu Scientific Library version >= 1.12
Description: 
 An R wrapper for the special functions and quasi random number
 generators of the Gnu Scientific Library
 (http://www.gnu.org/software/gsl/).  See gsl-package.Rd for details of 
 overall package organization, and Misc.Rd for some functions that are
 widely used in the package, and some tips on installation.
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-2
Packaged: 2013-12-10 20:22:57 UTC; rhankin
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-12-10 21:41:26

## gsl 1.9-10.2

=== DESCRIPTION ===
Package: gsl
Version: 1.9-10.2
Depends: R (>= 2.10.0)
Date: 2016-12-14
Title: Wrapper for the Gnu Scientific Library
Author: Robin K. S. Hankin; qrng functions by Duncan Murdoch and
 multimin by Andrew Clausen
SystemRequirements: Gnu Scientific Library version >= 1.12
Description: 
 An R wrapper for the special functions and quasi random number
 generators of the Gnu Scientific Library
 (http://www.gnu.org/software/gsl/).  See gsl-package.Rd for details of 
 overall package organization, and Misc.Rd for some functions that are
 widely used in the package, and some tips on installation.
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-3
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2016-12-15 11:03:22
Packaged: 2016-12-15 02:10:25 UTC; rhankin

## gsl 1.16+dfsg

=== debian/changelog ===
gsl (1.16+dfsg-4) unstable; urgency=low

  * debian/copyright: Also mention LGPL-3 for some files in utils/*
  							(Closes: #792843)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Jul 2015 06:52:31 -0500

gsl (1.16+dfsg-3) unstable; urgency=low

  [Yuriy M. Kaminskiy]
  * Add multi-arch support. (Closes: #708832)
  * debian/control: Add new package libgsl0-prof with profiling support

  [ Dirk Eddelbuettel ]
  * Integrating nice patch by Yuriy
  * debian/rules: Minor cleanup related to dh_clean
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Jul 2015 17:29:17 -0500

gsl (1.16+dfsg-2) unstable; urgency=low

  * debian/rules: Applies patch by Fernando Seiti Furusato to switch to
    autoreconf use via debhelper in order to build on eg the ppc64el
    architecture.					(Closes: #753360)
  * debian/control: Idem, in Build-Depends s/autotools-dev/dh-autoreconf/

  * debian/rules: Add dpkg-buildflags call for CFLAGS and LDFLAGS
  
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 05 Jul 2014 11:23:16 -0500

gsl (1.16+dfsg-1) unstable; urgency=low

  * New upstream version released today
  
  * doc/*: As before, removed the doc/ directory containing what Debian
    considers to be 'non-free' documentation to create a source package
    that complies with Debian's interpretation of what is free.

  * interpolation/interp.c: Error message changed upstream  (Closes: #639250)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 19 Jul 2013 11:42:12 -0500

gsl (1.15+dfsg.2-2) unstable; urgency=low

  * debian/rules: Correct switch to build-index and build-arch and ensure
    that their target build-stamp depends on configure-stamp. (Closes: #696014)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 15 Dec 2012 14:39:57 -0600

gsl (1.15+dfsg.2-1) unstable; urgency=low

  * "Second DFSG attempt" at GSL 1.15, now with GFDL in sources too
  * doc/* directory removed from 'dfsg.2' tarball to ensure source tarball
    in Debian archive also dfsg clean (Closes: #695776)

  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Dec 2012 22:06:23 -0600

gsl (1.15+dfsg-1) unstable; urgency=low

  * New upstream version released today

  * doc/*: As before, removed the 'non-free' documentation to create a 
    source package that complies with Debian's interpretation of what is free. 

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 07 May 2011 18:44:20 -0500

gsl (1.14+dfsg-1) unstable; urgency=low

  * New upstream release

  * doc/*: As before, removed the 'non-free' documentation to create a 
    source package that complies with Debian's interpretation of what is free. 
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 17 Mar 2010 19:39:12 -0500

gsl (1.13+dfsg-1) unstable; urgency=low

  * New upstream release

  * doc/*: As before, removed the 'non-free' documentation to create a 
    source package that complies with Debian's interpretation of what is free. 
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 09 Sep 2009 18:07:29 -0500

gsl (1.12+dfsg-1) unstable; urgency=low

  * New upstream version released today
  
  * doc/*: As before, removed the 'non-free' documentation to create a 
    source package that complies with Debian's interpretation of what is free. 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 16 Dec 2008 06:17:55 -0600

gsl (1.11+dfsg-2) unstable; urgency=low

  * debian/*: Applied patch by Matthew Vernon for building an optional package
    libgsl0-prof from source by setting setting DEB_BUILD_OPTIONS=buildprof
    Many thanks for suggesting the patch, and even providing it!
  							(Closes: #503290)
  
  * multimin/*: Applied patch by Ian Jackson to skip unncessary size 
    calculations; patch also intgegrated upstream	(Closes: #500521)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 29 Oct 2008 09:49:19 -0500

gsl (1.11+dfsg-1) unstable; urgency=low

  * New source tarball without so-called 'non-free' documentation released
    under the FSF's standard GFDL. 			(Closes: #495935)

  * The documentation will still be provided by packages in non-free which
    is not technically part of Debian but accessible via the package
    management system.

  * debian/README.Debian: Added, explaining this somewhat unfortunate change
  
  * debian/control: Removed gsl-doc-pdf entry
  * debian/rules: Adjusted accordingly

  * debian/watch: Added version mangling before comparison	[lintian]
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Aug 2008 16:19:59 -0500

gsl (1.11-2) unstable; urgency=low

  * debian/control: Add 'Conflicts: libgsl0' for libgsl0ldbl 
							(Closes: #477732)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 25 Apr 2008 06:39:27 -0500

gsl (1.11-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 01 Apr 2008 08:21:39 -0500

gsl (1.10-4) unstable; urgency=low

  * debian/control: GSL does not need libblas-dev as it packages its
    own libgslclbas; users can the choose at link time which Blas library 
    their gsl-using programs link against. Thanks to Mathias Klose for
    follow-ups on this.					(Closes: #462232)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Jan 2008 06:24:09 -0600

gsl (1.10-3) unstable; urgency=low

  * debian/control: Replace Build-Depends: on'refblas3-dev' with 
    'libblas-dev' to use the new gfortran-built BLAS libraries. Thanks 
    to Colin Tuckley for the heads-up.			(Closes: #462232)

  * debian/control: Update Standards-Version: to current value.
  * debian/control: Added Homepage: field to contain URL [lintian]

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 23 Jan 2008 06:36:59 -0600

gsl (1.10-2) unstable; urgency=low

  * debian/control: Correct Build-Depends-Indep to have tetex and texlive


=== debian/control ===
Source: gsl
Section: math
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 3.9.6
Build-Depends: gawk | awk, debhelper (>= 9), gcc (>= 4:4.0), binutils (>= 2.12.90.0.9), dh-autoreconf
Homepage: http://www.gnu.org/software/gsl

Package: libgsl0ldbl
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: gsl, libgsl0
Replaces: gsl, libgsl0 (<= 1.9-4)
Suggests: gsl-ref-psdoc | gsl-doc-pdf | gsl-doc-info | gsl-ref-html
Description: GNU Scientific Library (GSL) -- library package 
 The GNU Scientific Library (GSL) is a collection of routines for
 numerical analysis.  The routines are written from scratch by the GSL
 team in C, and present a modern API for C programmers, while allowing 
 wrappers to be written for very high level languages.
 .
 GSL includes data types and routines for complex numbers, vectors,
 matrices, basic linear algebra subroutines (BLAS), eigensystems,
 simulated annealing, minimization, root finding, pseudo-random
 numbers, least-squares fitting, fast Fourier transforms (FFT),
 differential equations, quadrature, Monte Carlo integration, special
 functions, physical constants, and much more.
 .
 This package provides the shared libraries required to run programs
 compiled with GNU GSL. To compile your own programs you also need to
 install libgsl0-dev.
 .
 URL: http://www.gnu.org/software/gsl/

Package: libgsl0-dev
Section: libdevel
#Multi-Arch: same -- TODO resolve /usr/bin/gsl-config issue
Architecture: any
Depends: libgsl0ldbl (= ${binary:Version}), ${misc:Depends}
Conflicts: gsl-dev
Replaces: gsl-dev, libgsl0 (<= 1.9-4)
Description: GNU Scientific Library (GSL) -- development package
 The GNU Scientific Library (GSL) is a collection of routines for
 numerical analysis.  The routines are written from scratch by the GSL
 team in C, and present a modern API for C programmers, while allowing
 wrappers to be written for very high level languages.
 .
 This package contains the header files, static libraries and symbolic 
 links that developers using GNU GSL will need.
 .
 URL: http://www.gnu.org/software/gsl/

Package: gsl-bin
Section: math
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: gsl
Replaces: gsl
Description: GNU Scientific Library (GSL) -- binary package
 The GNU Scientific Library (GSL) is a collection of routines for
 numerical analysis.  The routines are written from scratch by the GSL
 team in C, and present a modern API for C programmers, while allowing 
 wrappers to be written for very high level languages.
 .
 This package provides several example binaries.
 .
 URL: http://www.gnu.org/software/gsl/

Package: libgsl0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libgsl0ldbl (= ${binary:Version}), ${misc:Depends}
Description: GNU Scientific Library (GSL) -- debug symbols package
 The GNU Scientific Library (GSL) is a collection of routines for
 numerical analysis.  The routines are written from scratch by the GSL
 team in C, and present a modern API for C programmers, while allowing
 wrappers to be written for very high level languages.
 .
 This package contains debugging symbol tables for the static  GSL libraries
 libgsl and libgslcblas from the libgsl0-dev package, and the binaries 
 gsl-randist and gsl-histogram from the gsl-bin package.
 .
 URL: http://www.gnu.org/software/gsl/


Package: libgsl0-prof
Section: libdevel
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libgsl0ldbl (= ${binary:Version}), ${misc:Depends}
Description: GNU Scientific Library (GSL) -- profiling symbols package
 The GNU Scientific Library (GSL) is a collection of routines for
 numerical analysis.  The routines are written from scratch by the GSL
 team in C, and present a modern API for C programmers, while allowing
 wrappers to be written for very high level languages.
 .
 This package contains static libraries compiled with profiling info (-pg)
 suitable for use with gprof.
 .
 URL: http://www.gnu.org/software/gsl/

=== debian/rules ===
#!/usr/bin/make -f
#                                                       -*- makefile -*-
# debian/rules file for the Debian/GNU Linux gsl package
# Copyright (C) 1999 - 2015  Dirk Eddelbuettel <edd@debian.org>

source  := $(shell head -1 debian/changelog | awk '{print $$1}')
sonum   := 0
libpack := libgsl$(sonum)ldbl
#devpack := $(libpack)-dev
devpack := libgsl$(sonum)-dev
dbgpack := libgsl$(sonum)-dbg
binpack := $(source)-bin
profpack := libgsl$(sonum)-prof
#docpack := $(source)-doc-pdf
#debtmp	:= $(CURDIR)/debian/$(libpack)
debtmp	:= $(CURDIR)/debian/tmp
#debdoc	:= $(CURDIR)/debian/$(docpack)
debprof := $(CURDIR)/debian/$(profpack)
arch 	:= $(shell dpkg-architecture -qDEB_HOST_ARCH)


#export DH_VERBOSE=1

## needed for texi2pdf / tetex as document has larger-than-normal indices
export pool_size=250000

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
CONFFLAGS =
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEBUGFLAGS=-g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	DEBUGFLAGS += -O0
else
	DEBUGFLAGS += -O3
ifeq ($(arch),m68k)
	DEBUGFLAGS += -O0
endif
endif
# edd 12 Sep 2007  alpha fails with -O3
ifeq ($(arch),alpha)
	DEBUGFLAGS += -O2
endif

# edd 18 Nov 2006:  add -fexceptions, but don't use -O3 as 
#                   'make check' as gcc hangs in cblas/ after test_ger.c
# edd 05 Jul 2014:  add dpkg-buildflags call
CFLAGS	   :=-Wall -pipe -fexceptions -D_REENTRANT $(DEBUGFLAGS) $(shell dpkg-buildflags --get CFLAGS)
CFLAGSnog  :=-Wall -pipe -fexceptions -D_REENTRANT               $(shell dpkg-buildflags --get CFLAGS | sed -e 's/-g//')
# edd 29 Sep 2005   alpha needs -mieee with gcc 4.0
ifeq ($(arch),alpha)
CFLAGS	+= -mieee
endif

# edd 05 Jul 2014:  add dpkg-buildflags call
LDFLAGS	= $(shell dpkg-buildflags --get LDFLAGS)


#setting DEB_BUILD_OPTIONS=buildprof means we build a package
#consisting of static libraries (renamed to libfoo_p.a) with 
#profiling information in.
ifneq (,$(findstring buildprof,$(DEB_BUILD_OPTIONS)))
CONFIGTARGET = configure-prof-stamp
INSTALLTARGET = install-prof-stamp
BINARYTARGET = binary-prof
CFLAGS += -pg
export DH_OPTIONS =-N$(libpack) -N$(devpack) -N$(binpack) -N$(dbgpack) -p$(profpack)
else
CONFIGTARGET = configure-stamp
INSTALLTARGET = install-stamp
BINARYTARGET = binary-arch binary-indep
export DH_OPTIONS =-N$(profpack)
endif

upstream: get-orig-source
get-orig-source: 
        #lynx ftp://sources.redhat.com/pub/gsl
        #lynx http://mirrors.rcn.net/pub/sourceware/gsl
	lynx http://www.network-theory.co.uk/download/gsl


configure: $(CONFIGTARGET)

configure-stamp:
	dh_testdir
	dh_testdir

	rm -f config.cache

	[ -d doc ] || mkdir doc
	cp -vax debian/Makefile.in.doc doc/Makefile.in

	dh_autoreconf
	./configure 	CFLAGS="$(CFLAGS)" 		\
			LDFLAGS="$(LDFLAGS)"		\
			--prefix=/usr 			\
			--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
			--enable-shared 		\
			--enable-static 		\
			--with-gnu-ld 			\
			$(CONFFLAGS) 			

        # patch libtool re rpath (see lintian docu)
	sed < libtool > libtool-2 \
			-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
			-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
	mv libtool-2 libtool
	chmod 755 libtool            
        # end libtool rpath patch
	touch configure-stamp

configure-prof-stamp:
	dh_testdir

	rm -f config.cache

	[ -d doc ] || mkdir doc
	cp -vax debian/Makefile.in.doc doc/Makefile.in
	dh_autoreconf
	./configure 	CFLAGS="$(CFLAGS)" 		\
			--prefix=/usr 			\
			--disable-shared 		\
			--enable-static 		\
			--with-gnu-ld 			\
			$(CONFFLAGS) 			
	touch configure-prof-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)	
	touch build-stamp

build-doc: build-doc-stamp
build-doc-stamp: configure-stamp
	dh_testdir
	touch build-doc-stamp

deprecated-non-free-doc:
        # make ps files -- skip as we ship the upstream one in gsl-ref-psdoc
        #cd doc && $(MAKE) ps
        # make pdf
        ## edd 10 Apr 2005  added patch by Guiseppe Bonacci for #303757 
	cd doc && \
	   cp -p randist.texi randist.texi.orig && \
	   sed 's/^.*\\input \(rand.*\)\.tex.*$$/@end tex\n@center @image{\1}\n@tex/' \
	     randist.texi.orig > randist.texi && \
	   for i in rand-*.tex random-walk.tex ; do \
	     echo Converting $$i to eps; \
	     j=`basename $$i .tex`; \
	     tex "\batchmode\nopagenumbers\input $$j\bye"; \
	     dvips $$j; \
	     ps2eps -f $$j.ps; \
	   done && \
	   for i in *.eps; do \
	     echo Converting $$i to pdf... && epstopdf $$i ; \
	   done && $(MAKE) ps && ps2pdf gsl-ref.ps
        # edd 23 Mar 2006  'make pdf' is now inactive upstream
	touch build-doc-stamp

test:	build test-stamp
test-stamp: 
	-$(MAKE) check CFLAGS="$(CFLAGSnog)" | grep -C5 -v '^PASS:'
	touch test-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f build-stamp install-stamp test-stamp build-doc-stamp \
		configure-stamp install-doc-stamp configure-prof-stamp \
		install-prof-stamp
	rm -rf debian/static/
	-rm -f doc/*.pdf doc/*.dvi doc/*.log doc/*.ps
	dh_clean lib/*so* build/*.so*
	#dh_autoreconf_clean
	rm -rf doc/
	rm -rf $(debtmp) $(debprof)

install: test $(INSTALLTARGET)
install-stamp: 
	$(MAKE) -f debian/rules DH_OPTIONS= install-work
install-work:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) prefix=$(debtmp)/usr	 		\
		libdir=$(debtmp)/usr/lib/$(DEB_HOST_MULTIARCH)	\
		infodir=$(debtmp)/usr/share/info	\
		includedir=$(debtmp)/usr/include	\
		mandir=$(debtmp)/usr/share/man		install
        # deal with automake / install-info issue #215538
	rm -vf	$(debtmp)/usr/share/info/dir 		\
		$(debtmp)/usr/share/info/dir.old 	
        # purify for DFSG compliance and delete (!!) documentation
	rm -rvf	$(debtmp)/usr/share/info
        # deal with libtool leftover .la files (#245556)
	rm -vf $(debtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/libgsl*.la
        #
	dh_installdirs		-p$(binpack)	usr/share/man/man1
        #dh_installman		-p$(binpack)	debian/gsl-histogram.1 \
        #					debian/gsl-randist.1
        # move static libs into dev-package  and binaries into bin package
	dh_install --sourcedir=debian/tmp -p$(binpack) -p$(devpack) -p$(libpack)

        # lintian silencer for the 'ldbl' transition package
	dh_installdirs -p$(libpack) usr/share/lintian/overrides
	install -m0644 debian/$(libpack).overrides \
		$(CURDIR)/debian/$(libpack)/usr/share/lintian/overrides/$(libpack)

	touch install-stamp

install-prof-stamp: test-stamp
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) prefix=$(debtmp)/usr	 		\
		libdir=$(debtmp)/usr/lib/$(DEB_HOST_MULTIARCH)	\
		infodir=$(debtmp)/usr/share/info	\
		includedir=$(debtmp)/usr/include	\
		mandir=$(debtmp)/usr/share/man		install
	#rename the profiling libraries
	for lib in $(debtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/*.a ;\
		do mv "$$lib" "$${lib%%.a}_p.a"; done
	dh_install --sourcedir=$(debtmp)
	touch install-prof-stamp


install-doc: install-doc-stamp
install-doc-stamp: build-doc
	dh_testdir
	dh_testroot
	touch install-doc-stamp

deprecated-non-free-doc:
	mkdir -p -m 0755 $(debdoc)/usr/share/doc/$(docpack)
	install -m 0644 doc/gsl-ref.pdf  $(debdoc)/usr/share/doc/$(docpack)

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common: build test install 
        #dh_testversion 2.0
	dh_testdir
	dh_testroot
        #dh_installdebconf
	dh_link
	dh_installdocs
        #dh_installexamples
        #dh_installmenu

## gsl 2.1+dfsg

=== debian/changelog ===
gsl (2.1+dfsg-2) unstable; urgency=low

  * debian/patches/dont-disable-deprecated: Re-apply first half of patch
    by Iain Lane to not disable deprecated functions (Closes: #804765)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 24 Nov 2015 22:52:14 -0600

gsl (2.1+dfsg-1) unstable; urgency=low

  * New upstream version released today
  
  * doc/*: As before, removed files from the doc/ directory now containing
    only what Debian considers to be 'non-free' documentation (ie man
    pages) to create a source package that complies with Debian's
    interpretation of what is free.
  * doc/Makefile.am: Removed instructions for non-free manual
  * configure.ac: Remove entry for doc/examples/Makefile.in

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 12 Nov 2015 13:58:43 -0600

gsl (2.0+dfsg-2) unstable; urgency=low

  * debian/patches/dont-disable-deprecated: Applied patch by Iain Lane to
    not (yet) disable deprecated functions while we transition gsl 2.0
    into Debian						(Closes: #804765)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Nov 2015 06:42:31 -0600

gsl (2.0+dfsg-1) unstable; urgency=low

  * New upstream version released today
  
  * doc/*: As before, removed the doc/ directory containing what Debian
    considers to be 'non-free' documentation to create a source package
    that complies with Debian's interpretation of what is free.

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 31 Oct 2015 20:10:36 -0500

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Build-Depends: gawk | awk, debhelper (>= 9), gcc (>= 4:4.0), binutils (>= 2.12.90.0.9), dh-autoreconf
 Homepage: http://www.gnu.org/software/gsl
 
-Package: libgsl0ldbl
+Package: libgsl2
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: gsl, libgsl0
-Replaces: gsl, libgsl0 (<= 1.9-4)
+Conflicts: gsl, libgsl0, libgsl0ldbl
+Replaces: gsl, libgsl0 (<= 1.9-4), libgsl0ldbl (<= 1.16+dfsg-4)
 Suggests: gsl-ref-psdoc | gsl-doc-pdf | gsl-doc-info | gsl-ref-html
 Description: GNU Scientific Library (GSL) -- library package 
  The GNU Scientific Library (GSL) is a collection of routines for
@@ -34,13 +34,14 @@
  .
  URL: http://www.gnu.org/software/gsl/
 
-Package: libgsl0-dev
+Package: libgsl-dev
 Section: libdevel
 #Multi-Arch: same -- TODO resolve /usr/bin/gsl-config issue
 Architecture: any
-Depends: libgsl0ldbl (= ${binary:Version}), ${misc:Depends}
-Conflicts: gsl-dev
-Replaces: gsl-dev, libgsl0 (<= 1.9-4)
+Depends: libgsl2 (= ${binary:Version}), ${misc:Depends}
+Conflicts: gsl-dev, libgsl0-dev
+Replaces: gsl-dev, libgsl0 (<= 1.9-4), libgsl0-dev (<= 1.16+dfsg-4)
+Provides: libgsl0-dev
 Description: GNU Scientific Library (GSL) -- development package
  The GNU Scientific Library (GSL) is a collection of routines for
  numerical analysis.  The routines are written from scratch by the GSL
@@ -69,12 +70,15 @@
  .
  URL: http://www.gnu.org/software/gsl/
 
-Package: libgsl0-dbg
+Package: libgsl-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: libgsl0ldbl (= ${binary:Version}), ${misc:Depends}
+Depends: libgsl2 (= ${binary:Version}), ${misc:Depends}
+Provides: libgsl0-dbg
+Conflicts: libgsl0-dbg
+Replaces: libgsl0-dbg (<= 1.16+dfsg-4)
 Description: GNU Scientific Library (GSL) -- debug symbols package
  The GNU Scientific Library (GSL) is a collection of routines for
  numerical analysis.  The routines are written from scratch by the GSL
@@ -88,13 +92,16 @@
  URL: http://www.gnu.org/software/gsl/
 
 
-Package: libgsl0-prof
+Package: libgsl-prof
 Section: libdevel
 Priority: extra
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libgsl0ldbl (= ${binary:Version}), ${misc:Depends}
+Provides: libgsl0-prof
+Conflicts: libgsl0-prof
+Replaces: libgsl0-prof (<= 1.16+dfsg-4)
+Depends: libgsl2 (= ${binary:Version}), ${misc:Depends}
 Description: GNU Scientific Library (GSL) -- profiling symbols package
  The GNU Scientific Library (GSL) is a collection of routines for
  numerical analysis.  The routines are written from scratch by the GSL

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,17 @@
 # Copyright (C) 1999 - 2015  Dirk Eddelbuettel <edd@debian.org>
 
 source  := $(shell head -1 debian/changelog | awk '{print $$1}')
-sonum   := 0
-libpack := libgsl$(sonum)ldbl
+sonum   := 2
+#libpack := libgsl$(sonum)ldbl
+libpack := libgsl$(sonum)
 #devpack := $(libpack)-dev
-devpack := libgsl$(sonum)-dev
-dbgpack := libgsl$(sonum)-dbg
+#devpack := libgsl$(sonum)-dev
+#dbgpack := libgsl$(sonum)-dbg
+devpack := libgsl-dev
+dbgpack := libgsl-dbg
 binpack := $(source)-bin
-profpack := libgsl$(sonum)-prof
+#profpack := libgsl$(sonum)-prof
+profpack := libgsl-prof
 #docpack := $(source)-doc-pdf
 #debtmp	:= $(CURDIR)/debian/$(libpack)
 debtmp	:= $(CURDIR)/debian/tmp
@@ -214,7 +218,9 @@
         #dh_installman		-p$(binpack)	debian/gsl-histogram.1 \
         #					debian/gsl-randist.1
         # move static libs into dev-package  and binaries into bin package
-	dh_install --sourcedir=debian/tmp -p$(binpack) -p$(devpack) -p$(libpack)
+	dh_install --sourcedir=debian/tmp -p$(libpack)
+	dh_install --sourcedir=debian/tmp -p$(devpack) 
+	dh_install --sourcedir=debian/tmp -p$(binpack) 
 
         # lintian silencer for the 'ldbl' transition package
 	dh_installdirs -p$(libpack) usr/share/lintian/overrides
@@ -253,12 +259,3 @@
 # one at a time. So keep in mind: any options passed to commands here will
 # affect _all_ packages. Anything you want to only affect one package
 # should be put in another target, such as the install target.
-binary-common: build test install 
-        #dh_testversion 2.0
-	dh_testdir
-	dh_testroot
-        #dh_installdebconf
-	dh_link
-	dh_installdocs
-        #dh_installexamples
-        #dh_installmenu

## gsl 2.1-1

=== DESCRIPTION ===
Package: gsl
Version: 2.1-1
Depends: R (>= 3.1.0)
Date: 28-07-2016
Title: Wrapper for the Gnu Scientific Library
Author: Robin K. S. Hankin; qrng functions by Duncan Murdoch and
 multimin by Andrew Clausen
SystemRequirements: Gnu Scientific Library version >= 1.12
Description: 
 An R wrapper for some of the functionality of the
 Gnu Scientific Library.
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-2
NeedsCompilation: yes
Packaged: 2016-07-27 22:32:38 UTC; rhankin
Repository: CRAN
Date/Publication: 2016-07-28 17:28:28

## gsl 2.1-5

=== DESCRIPTION ===
Package: gsl
Version: 2.1-5
Depends: R (>= 3.1.0)
Title: Wrapper for the Gnu Scientific Library
Authors@R: c(person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415")),
             person(given="Andrew",family="Clausen",role="ctb",comment="multimin functionality"),
             person(given="Duncan",family="Murdoch",role="ctb",comment="qrng functions"))
SystemRequirements: Gnu Scientific Library version >= 2.1
Description: 
 An R wrapper for some of the functionality of the
 Gnu Scientific Library.
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-3
URL: https://github.com/RobinHankin/gsl.git
BugReports: https://github.com/RobinHankin/gsl/issues
NeedsCompilation: yes
Packaged: 2019-03-14 20:30:24 UTC; rhankin
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>),
  Andrew Clausen [ctb] (multimin functionality),
  Duncan Murdoch [ctb] (qrng functions)
Repository: CRAN
Date/Publication: 2019-03-15 08:50:03 UTC

## gsl 2.1-7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: gsl
-Version: 2.1-5
+Version: 2.1-7
 Depends: R (>= 3.1.0)
 Title: Wrapper for the Gnu Scientific Library
 Authors@R: c(person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415")),
@@ -11,12 +11,12 @@
  Gnu Scientific Library.
 Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
 License: GPL-3
-URL: https://github.com/RobinHankin/gsl.git
+URL: https://github.com/RobinHankin/gsl
 BugReports: https://github.com/RobinHankin/gsl/issues
 NeedsCompilation: yes
-Packaged: 2019-03-14 20:30:24 UTC; rhankin
+Packaged: 2021-09-06 02:27:00 UTC; rhankin
 Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>),
   Andrew Clausen [ctb] (multimin functionality),
   Duncan Murdoch [ctb] (qrng functions)
 Repository: CRAN
-Date/Publication: 2019-03-15 08:50:03 UTC
+Date/Publication: 2021-09-14 16:40:10 UTC
